#include "SevSeg.h"

SevSeg sevseg; 

byte numDigits = 4;
byte digitPins[] = {9, 10, 11, 12};
byte segmentPins[] =  {2, 3, 4, 5, 6, 7, 8, A0};
bool resistorsOnSegments = false; 
byte hardwareConfig = COMMON_CATHODE; 
bool updateWithDelays = false; 
bool leadingZeros = true; 

void setup() {
  sevseg.begin(hardwareConfig, numDigits, digitPins, segmentPins, resistorsOnSegments, updateWithDelays, leadingZeros);
  sevseg.setBrightness(90);
}

void loop() {
  static unsigned long timer = millis();
  static int deciSeconds = 0;
  static byte deciPoint = 0;
  if (millis() - timer >= 300) {
    timer += 300;
    deciSeconds++;
    deciPoint++;
    if (deciPoint == numDigits) {
      deciPoint = 0;
    }
    if (deciSeconds == pow(10, 2)) {
      deciSeconds = 0;
    }
    sevseg.setNumber(deciSeconds, deciPoint);
  }
  sevseg.refreshDisplay();
}
